/*	@(#) checks.c - 0.3.3 - Charles Mercadal - 8 November 2001
 *		See license in LICENSE.txt
 */

#ifndef CHECKS_H
#define CHECKS_H

#include <ctype.h>
#include <err.h>
#include <signal.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h> 

/*	Some constants	*/
#define eMallocFoobarExit	1	/*	malloc() returned NULL		*/
#define eBadFile			1	/*	Can't write checksrc		*/
#define eBadUserExit		1	/*	unknown arguments, etc.		*/
#define eNoError			0	/*	clean return				*/


/*	struct definition & typedefs	*/
typedef struct
{
    char	minOrSec;		/*	is user input in minutes or seconds?	*/
    char	nrm;			/*	don't warn for removal mode		*/
    int		sleepTime;		/*	time to sleep between checking		*/
    char	numberOfDirs;	/*	How many directories are we checking?	*/
} pref;

typedef struct
{
    char	*directory;			/*	Pointer to our directory		*/
    long int	presentValue;	/*	The new value of the dir size		*/
} info;

/*	function prototypes	*/
void	displayHelp(		void				);
void	initPrefs(		pref *				);
void	printDirectories(	const info *, int		);
void	doEventLoop(		const pref *, info *		);
void	parseChecksrc(		info *				);
void	flushLastVal(		const info *, int		);
int	getFileLength(		void				);
void	prefFilePath(		char **				);
char	*getline(		FILE *				);

/*	global constants							*/
const char	Du[]		= "du -s ";				/*	used to call du			*/
const char	PrefFile[]	= "/.checksrc";			/*	preference file name		*/
const char	BadMalloc[]	= "MEMORY EXHAUSTED!\a";
const char	BadFileIO[]	= "Unable to access file ~/.checksrc";

#ifndef lint
const char	Copyright[]		=
"@(#) Copyright (c) 2000-2001 Charles Mercadal - All rights reserved";
#endif	/*	not LINT		*/
#endif	/*	not CHEKCS_H	*/
